/***************************************************************************

    supportware
    Copyright (C) 2001-2008 by c.holzheuer
    c.holzheuer@sourceworx.org

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

***************************************************************************/


#ifndef dditemlink_H
#define dditemlink_H

#include <dditem.h>


/// dditemlink: ein item, das sich als html-link rendern lässt
/**
	FIX! das gehört auch in den renderer bzw ins web widget set.
*/

class dditemlink : public dditem
{

public: 
	
	dditemlink();
	
	dditemlink( const ddstring& name );
	dditemlink( const ddstring& name, const ddstring& value, const ddstring& call="", size_t access=0 );
	dditemlink( const dditemlink& src );
	dditemlink& operator=( const dditemlink& src );
	virtual ~dditemlink();
 
  // factory aspekt
  dditem* clone() const;
        
  // werte
 	dditem&   set_link( const ddstring& value, const ddstring& link, const ddstring& lclass="", const ddstring& title="" );

	
	ddstring  to_string() const;
	
							
protected:

  ddstring _link, _class, _title;
	
};

#endif
